#### Beyond Linux® From Scratch (System V Edition) - Version r12.4-737

### Chapter 10. Graphics and Font Libraries

- Prev

  GLM-1.0.2

- Next

  Graphite2-1.3.14

- Up
- Home

# glycin-2.0.7

## Introduction to glycin

The glycin package contains a sandboxed and extendable image loading framework.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/glycin/2.0/glycin-2.0.7.tar.xz

- Download MD5 sum: 14ea548305203fc0ab09d7a39ba303ec

- Download size: 6.3 MB

- Estimated disk space required: 1.1 GB (additional 775 MB for tests)

- Estimated build time: 6.4 SBU (additional 9.5 SBU for tests)

### Additional Downloads

- Recommended patch (required if installing Xorg into `/opt`): https://www.linuxfromscratch.org/patches/blfs/svn/glycin-2.0.7-xorg_prefix-1.patch

### glycin Dependencies

#### Required

bubblewrap-0.11.0 (runtime), Fontconfig-2.17.1, GLib-2.86.2 (GObject Introspection recommended), Little CMS-2.17, libseccomp-2.6.0, and rustc-1.91.0

### Note

An Internet connection is needed for building this package. The system certificate store may need to be set up with make-ca-1.16.1 before building this package.

#### Recommended

libheif-1.20.2, libjxl-0.11.1, librsvg-2.61.3, and Vala-0.56.18

#### Optional

Gi-DocGen-2025.5, GTK-4.20.3 (for `libglycin-gtk4` and the test suite), and libopenraw

## Installation of glycin

If installing Xorg into `/opt`, download the needed Rust crates now and apply a patch to allow accessing `$XORG_PREFIX/lib` from the sandbox (note that the patch requires `XORG_PREFIX` set properly for the current user and `root` following Xorg build environment before building glycin):

    cargo vendor &&
    patch -Np1 -i ../glycin-2.0.7-xorg_prefix-1.patch

Install glycin by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr           \
                --buildtype=release     \
                -D libglycin-gtk4=false \
                -D tests=false ..       &&
    ninja

If you have installed Gi-DocGen-2025.5, you can build the documentation by issuing:

    sed "/install_dir:.*doc/s|,$| / 'glycin-' + meson.project_version()&|" \
        -i ../libglycin/meson.build &&

    meson configure -D capi_docs=true &&
    ninja

To test the results, ensure GTK-4.20.3 is installed, then issue: meson configure -D tests=true && ninja test.

Now as the `root` user:

    ninja install

## Command Explanations

`-D glycin_gtk4=false`: This parameter disables the build of `libglycin-gtk4` (which is not used by any BLFS packages yet) so this package can be built without GTK-4.20.3 installed.

`-D glycin-loaders=...`: Use this option to specify the image loaders to be built. The default is `glycin-heif,glycin-image-rs,glycin-jxl,glycin-svg`, covering the support for all commonly used image formats. You may remove the `glycin-heif`, `glycin-jxl`, or `glycin-svg` loader if the corresponding recommended dependency is not installed, but doing so will cause test failures and hamper the functionality of this package. There are also loaders for the JPEG 2000 and RAW formats but they are not enabled by default.

`-D vapi=false`: This option allows building this package without Vala-0.56.18 installed.

## Contents

Installed Program: glycin-thumbnailer
Installed Library: libglycin-2.so
Installed Directories: /usr/include/glycin-2, /usr/libexec/glycin-loaders, /usr/share/glycin-loaders, and optionally /usr/share/doc/glycin-2.0.7

### Short Descriptions

glycin-thumbnailer | creates thumbnails for images in a format supported by glycin
`libglycin-2.so` | contains image load functions which work by running glycin loaders in a sandbox environment

- Prev

  GLM-1.0.2

- Next

  Graphite2-1.3.14

- Up
- Home